%global debug_package %{nil}
Name:           dysk
Version:        2.10.1
Release:        1%{?dist}
Summary:        A linux utility listing your filesystems.
License:        MIT License
URL:            https://github.com/Canop/dysk?tab=readme-ov-file
Source0:        https://github.com/Canop/dysk/archive/refs/tags/v%{version}.tar.gz

BuildRequires: cargo 
BuildRequires: wget

%description
dysk is a command that allows you to elegantly visualize filesystem usage on
your system.

%prep
%autosetup -n dysk-%{version}
wget https://dystroy.org/dysk/download/man/dysk.1
gzip dysk.1 

%build
cargo build --release --locked

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -p -m 0755 target/release/dysk %{buildroot}%{_bindir}
install -p -m 0644 dysk.1.gz %{buildroot}%{_mandir}/man1/dysk.1.gz

%files
%license LICENSE
%{_bindir}/dysk
%{_mandir}/man1/dysk.1.gz 

%changelog
* Sat May 17 2025 Fernando <fernandodebianbr@gmail.com> - v2.10.1
- Initial Fedora packaging.
